Bug 1157529 - Application icon is too small to be used in the software center
Summary: Application icon is too small to be used in the software center
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fillets-ng
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 10:54 UTC by Richard Hughes
Modified: 2015-06-09 15:10 UTC (History)
2 users (show)

Fixed In Version: fillets-ng-1.0.1-8.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 15:06:34 UTC


Attachments (Terms of Use)

Description Richard Hughes 2014-10-27 10:54:46 UTC
Description of problem:

In Fedora 21 we show any valid application in the software center with an application icon of 32x32 or larger. Currently a 32x32 icon has to be padded with 16 pixels of whitespace on all 4 edges, and *also* has to be scaled x2 to match other UI elements on HiDPI screens.

This looks fuzzy, out of alignment and lowers the quality of an otherwise beautiful installing experience. For Fedora 22 we are planning to increase the minimum icon size to 48x48, with recommended installed sizes of 24x24, 48x48, 64x64 and 256x256 (or SVG).

Modern desktop applications typically ship multiple sizes of icons in known locations, and it's very much the minority of packages in Fedora (69 out of 1042) that only ship such small icons.

I'm asking package maintainers to install a larger icon than 32x32 in the Fedora package. Most of the time this will involve just installing a different icon from the tarball, but could also mean contacting upstream and asking them for larger icons and a new tarball release.

If you're asking upstream, please ask for a 256x256 or 64x64 icon, as the latter will probably be the minimum size for F23 and beyond. If you want to fix up F20 and F21 too that would be great, but not expected.

At the end of November I'll change the minimum icon size in the AppStream generator so that applications not fixed will not be shown in the software center. You can of course install this application in F22 with dnf on the command line, but it won't be visible in the software center until they are installed manually.

Additional info:
If you're unclear on what needs to be done in order to be listed in the software center, refer to this https://github.com/hughsie/appstream-glib#what-is-an-application or comment here.

Thanks!

Richard.

Comment 1 Jaroslav Reznik 2015-03-03 16:24:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Bruno Wolff III 2015-05-09 17:46:43 UTC
I looked at the upstream files and it looks like they only have 32x32 icons, Upstream isn't very active but they did accept appdata patches from Richard not too long ago. There logo looks like it was mechanically created rather than hand drawn so there may be a way to create a scaled up or svg version. I'll look a bit more to see if there is a mention of how it was created somewhere. But I doubt I'll find anything.

Comment 3 Bruno Wolff III 2015-05-09 21:17:54 UTC
I'm going to see if I can learn enough inkscape to do a reasonable svg version of this icon this weekend. I have already been able to produce something that would probably be good enough if exported as a higher res bitmap.

Comment 4 Bruno Wolff III 2015-05-15 03:14:20 UTC
I am doing a rawhide build with an svg version of the logo. After the previous updates make it to stable, I push the version with the updated icon out.

Comment 5 Bruno Wolff III 2015-05-15 03:41:17 UTC
I also sent the icon to the fiilets-devel list in case upstream would be interested in using it.

Comment 6 Fedora Update System 2015-05-24 14:15:45 UTC
fillets-ng-1.0.1-8.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fillets-ng-1.0.1-8.fc22

Comment 7 Fedora Update System 2015-05-26 13:15:33 UTC
fillets-ng-1.0.1-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fillets-ng-1.0.1-8.fc20

Comment 8 Fedora Update System 2015-05-26 13:15:35 UTC
fillets-ng-1.0.1-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fillets-ng-1.0.1-8.fc21

Comment 9 Fedora Update System 2015-05-27 16:14:11 UTC
Package fillets-ng-1.0.1-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fillets-ng-1.0.1-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8902/fillets-ng-1.0.1-8.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-06-09 14:59:13 UTC
fillets-ng-1.0.1-8.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-09 15:06:34 UTC
fillets-ng-1.0.1-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-09 15:10:31 UTC
fillets-ng-1.0.1-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.